com.rs.xbrl.instructions

## Class FLQnameXpathTable

- java.lang.Object
- - com.rs.xbrl.instructions.FLQnameXpathTable

-     public class FLQnameXpathTable
      extends java.lang.Object

  It is very common in formula linkbase resources to find the structure of QName, XPath expression or an enumeration of both of them this class process the content found in the Excel according to those three possible values and serves the purpose of creating the nodes in the resource.
  Author:
    Ignacio

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FLQnameXpathTable.Values` The Enum Values.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FLQnameXpathTable(ExcelSheetPoint sp, GenerationContext gc, boolean bIsConcept, boolean bAcceptsTable, boolean bAcceptsMember)` Instantiates a new FL qname xpath table.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FLQnameXpathTable.Values` | `getType()` Gets the type.
    `QNameOrExpression` | `getValue()` Used when there is just one value.
    `java.util.Collection<QNameOrExpression>` | `getValues()` Used when there are more than one values.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FLQnameXpathTable

          public FLQnameXpathTable(ExcelSheetPoint sp,
                           GenerationContext gc,
                           boolean bIsConcept,
                           boolean bAcceptsTable,
                           boolean bAcceptsMember)
                            throws SheetPointException

      Instantiates a new FL qname xpath table.
      Parameters:
        `sp` - the sp
        `gc` - the gc
        `bIsConcept` - the b is concept
        `bAcceptsTable` - the b accepts table
        `bAcceptsMember` - the b accepts member
      Throws:
        `SheetPointException` - the sheet point exception

  - ### Method Detail

    - #### getType

          public FLQnameXpathTable.Values getType()

      Gets the type.
      Returns:
        the type

    - #### getValue

          public QNameOrExpression getValue()

      Used when there is just one value.
      Returns:
        the value

    - #### getValues

          public java.util.Collection<QNameOrExpression> getValues()

      Used when there are more than one values.
      Returns:
        the values